This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 128498 - samba hard crashes the linux box when copying information from a windows machine
samba hard crashes the linux box when copying information from a windows machine
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-23 13:14 EDT by Rob Renz
Modified: 2014-08-31 19:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-20 11:43:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rob Renz 2004-07-23 13:14:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Samba is set up as a server on the linux box and have several shared
folders.  
I can read the the folders through the network from my windows machines.
When I try to copy information from those folders on the server to the
windows machine especially vast ammounts of information, the linux box
hard crashes, and the only way to recover is through a hard reset.
this has happend 2 times on my local network and once on a different
local network, so that removes the possibility of a bad nic.



Version-Release number of selected component (if applicable):
samba-3.0.3-5

How reproducible:
Sometimes

Steps to Reproduce:
1. share some folders on samba for the windows boxes to look at
2. use a windows box to read the the samba share
3. copy information shared by samba to windows
    

Actual Results:  Crashed system..
no way to recover.

Expected Results:  copy should work withought hitches right?

Additional info:

I was sharing a fat32 partition from where I was copying the
information, which could be a possible point to ponder.
Comment 1 Jay Fenlason 2004-07-26 18:20:35 EDT
I'd suspect a hardware problem.  Samba is a userspace program, and 
is generally incapable of crashing the Linux kernel.  Start by 
running memtest86 on the box for a day or two.  If that passes, try 
some disk and network stress tests. 
 
If you can repeatably crash different hardware with the same 
configuration, attach your Samba configuration (/etc/samba/smb.conf) 
to this bug report and I'll try replicating it. 
Comment 2 Jay Fenlason 2005-10-20 11:43:54 EDT
No reply in a long time, so I'm closing this. 

Note You need to log in before you can comment on or make changes to this bug.